New IE Vulnerability Threatens Windows Users

Internet Explorer Vulnerability

The first major threat since the XPocalpyse arrived in the form of a new Internet Explorer vulnerability, dubbed CVE-2014-1776. First reported on April 26th by security vendor FireEye, the exploit could be used by malicious websites to give hackers the same user rights as the current user. FireEye also confirmed that the exploit isn’t theoretical- there are already cases of it being found in the wild.

Read More »